Subject: Re: Re* [RFC/PATCH] Re: git submodule -b ... of current HEAD fails

From: Jens Lehmann <[email-masked]>
Date: Wed, 29 Dec 2010 23:23:25 +0100

Am 29.12.2010 23:13, schrieb Jens Lehmann:
> Am 29.12.2010 21:53, schrieb Junio C Hamano:
>> Jens Lehmann <[email-masked]> writes:
>>> So we maybe want to fix this issue in "git checkout"? Then the patch
>>> will start working (and the test for it can be added in a later patch).
>>
>> So in conclusion, here is a patch that is not even compile tested ;-)

Just for the record: It does compile (at least for me ;-) and together
with Jonathan's patch referenced in the the subject passes all tests,
including the new 'submodule add --branch succeeds even when branch is
at HEAD' test I came up with to verify this issue.